Bug 1695216 - [rebase] oc behaves oddly in some paths
Summary: [rebase] oc behaves oddly in some paths
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: oc
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.1.0
Assignee: Maciej Szulik
QA Contact: Xingxing Xia
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-02 16:33 UTC by David Eads
Modified: 2019-06-04 10:47 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 10:46:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:47:00 UTC

Description David Eads 2019-04-02 16:33:54 UTC
I think this is because we have some internal types in some helpers.  We need to clear cruft to get consistent behavior.

Comment 1 Maciej Szulik 2019-04-05 19:40:33 UTC
PR fixing the problem: https://github.com/openshift/origin/pull/22494

Comment 2 Xingxing Xia 2019-04-11 09:18:32 UTC
Could you tell what's the odd behaviors of oc "in some paths"? I checked PR code, it involves build/bc/dc of /apps/apis/apps. But not sure what's the oddity, thus no idea how to verify the bug. Thanks!

Comment 3 Xingxing Xia 2019-04-11 10:07:23 UTC
Tested with versions:
oc version
Client Version: version.Info{Major:"4", Minor:"1+", GitVersion:"v4.1.0", GitCommit:"ac50235ff", GitTreeState:"", BuildDate:"2019-04-11T04:55:38Z", GoVersion:"", Compiler:"", Platform:""}
Server Version: version.Info{Major:"1", Minor:"13+", GitVersion:"v1.13.4+f174899", GitCommit:"f174899", GitTreeState:"clean", BuildDate:"2019-04-10T17:18:27Z", GoVersion:"go1.11.5", Compiler:"gc", Platform:"linux/amd64"}

Per discussion with Maciej, checked below commands with BC/DC:
oc new-app centos/ruby-25-centos7~https://github.com/sclorg/ruby-ex.git 
oc status
oc status --suggest 
oc logs bc/ruby-ex
oc logs dc/ruby-ex
oc rollout latest dc/ruby-ex
oc logs dc/ruby-ex
oc logs -f dc/ruby-ex
oc attach dc/ruby-ex
oc autoscale dc/ruby-ex --max=4; oc get hpa
oc expose dc/ruby-ex --name=ruby-ex-svc
oc rollout history dc/ruby-ex
oc rollback dc/ruby-ex

All work well. Thus moving to VERIFIED.

Comment 5 errata-xmlrpc 2019-06-04 10:46:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.